API referenceDocumentManager
POST /api/DocumentManager/ImportDocuments
POST
/api/DocumentManager/ImportDocumentscurl -X POST "/api/DocumentManager/ImportDocuments" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: multipart/form-data" \
-d '{"files":["string"],"documentsMapped":[{"id":0,"externalId":"string","externalUrl":"string","documentSource":0,"documentStatus":1,"fileVersion":0,"fileName":"string","fileExtension":"string","fileSize":0,"fileSizeDisplay":"string","name":"string","description":"string","uniqueId":"string","comments":"string","folderYear":0,"folderMonth":0,"folderDay":0,"createdAt":"2026-01-15T09:30:00Z","modifiedAt":"2026-01-15T09:30:00Z","documentEntityType":1,"module":1,"entityId":"string","keywords":[{"id":0,"name":"string"}],"documentVersions":[{"documentId":0,"fileVersion":0,"fileName":"string","fileExtension":"string","fileSize":0,"storageName":"string","createdAt":"2026-01-15T09:30:00Z"}]}]}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
multipart/form-data
filesstring[]documentsMappedEtrmApiGateway.DTOs.DocumentManager.DocumentDto[]
Response
application/json
OK
successbooleanerrorCodestring | nullerrorMessagestring | nullwarningMessagestring | nullinfoMessagestring | nullrecordCountinteger<int32>dataEtrmApiGateway.DTOs.DocumentManager.DocumentDto[] | null
{
"success": true,
"errorCode": "string",
"errorMessage": "string",
"warningMessage": "string",
"infoMessage": "string",
"recordCount": 0,
"data": [
{
"id": 0,
"externalId": "string",
"externalUrl": "string",
"documentSource": 0,
"documentSourceDisplay": "string",
"documentStatus": 1,
"documentStatusDisplay": "string",
"fileVersion": 0,
"fileName": "string",
"fileExtension": "string",
"fileSize": 0,
"fileSizeDisplay": "string",
"name": "string",
"description": "string",
"uniqueId": "string",
"comments": "string",
"folderYear": 0,
"folderMonth": 0,
"folderDay": 0,
"createdAt": "2026-01-15T09:30:00Z",
"modifiedAt": "2026-01-15T09:30:00Z",
"documentEntityType": 1,
"documentEntityTypeName": "string",
"module": 1,
"moduleName": "string",
"entityId": "string",
"keywords": [
{
"id": 0,
"name": "string"
}
],
"documentVersions": [
{
"documentId": 0,
"fileVersion": 0,
"fileName": "string",
"fileExtension": "string",
"fileSize": 0,
"storageName": "string",
"createdAt": "2026-01-15T09:30:00Z"
}
]
}
]
}